package demo;

import java.io.FileInputStream;
import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.Persistence;
import javax.persistence.Table;

import org.apache.poi.util.IOUtils;

@Entity
@Table(name="images")
public class DBImage implements Serializable {

	private int id;
	private byte[] image;
	private String format;//ex: png
	private String mime;//ex: image/png
	
	public DBImage() {
		
	}

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(name="ID")
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	@Lob
	@Column(name="IMAGE")
	public byte[] getImage() {
		return image;
	}

	public void setImage(byte[] image) {
		this.image = image;
	}				
	
	@Column(name="FORMAT")
	public String getFormat() {
		return format;
	}

	public void setFormat(String format) {
		this.format = format;
	}
	
	@Column(name="MIME")
	public String getMime() {
		return mime;
	}

	public void setMime(String mime) {
		this.mime = mime;
	}

	public static void main(String[] args) throws Exception {
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("Test");
		EntityManager em = emf.createEntityManager();
		
		try {
			
			DBImage image = new DBImage();
			image.setImage(IOUtils.toByteArray(new FileInputStream("B:\\ok.png")));
			
			em.getTransaction().begin();
			em.persist(image);
			em.getTransaction().commit();
		} finally {
			em.close();
			emf.close();
		}
	}
}
